import { jsx } from "react/jsx-runtime";
import { Medal as Medal$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Medal = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Medal", ...props, children: /* @__PURE__ */ jsx(Medal$1, { weight: variant }) });
  }
);
Medal.displayName = "Medal";
Object.assign(Medal, { isGdsIcon: true });
export {
  Medal
};
